﻿using System;
using Plugin.SimpleAudioPlayer;
using System.IO;
using System.Reflection;
using Xamarin.Forms;

namespace PlaySound
{
    public partial class MainPage : ContentPage
    {
        ISimpleAudioPlayer player;

        public MainPage()
        {
            InitializeComponent();
        }
        private void PlaySoundButton(object sender, EventArgs e)
        {
            var stream = GetStreamFromFile("Diminished.mp3");
            player = CrossSimpleAudioPlayer.CreateSimpleAudioPlayer();
            player.Load(stream);
            player.Play();
        }

        Stream GetStreamFromFile(string filename)
        {
            var assembly = typeof(App).GetTypeInfo().Assembly;

            var stream = assembly.GetManifestResourceStream("PlaySound." + filename);

            return stream;
        }
    }
}
